import unittest
import sys
from StringIO import StringIO
from mock import Mock


class BaseTest(unittest.TestCase):

    def setUp(self):
        unittest.TestCase.setUp(self)
        self.stdout = sys.stdout
        self.buff = StringIO()
        sys.stdout = self.buff
        sys.stdout.encoding = 'utf-8'
        
        self.options = Mock()
        self.options.verbose = False
        
        self.url = 'http://fakeurl'

    def tearDown(self):
        unittest.TestCase.tearDown(self)
        self.stdout = sys.stdout


    def assert_sysout_has(self, text):
        sysout_content = self.buff.getvalue()
        self.assertTrue(text in sysout_content)
        
